package de.intevation.flys.client.shared.model;

import java.io.Serializable;
import java.util.List;

/**
 * @author <a href="mailto:bjoern.ricks@intevation.de">Björn Ricks</a>
 */

public interface RiverInfo extends Serializable {

    boolean isKmUp();

    /**
     * Start KM of the river
     */
    Double getKmStart();

    /**
     * End KM of the river
     */
    Double getKmEnd();

    /**
     * Returns the name of the river
     */
    String getName();

    /**
     * Returns the name of the WST unit
     */
    String getWstUnit();

    /**
     * Return all gauge info of the river
     */
    List<GaugeInfo> getGauges();

    /**
     * Returns the min q value of the river
     */
    Double getMinQ();

    /**
     * Returns the max q value of the river
     */
    Double getMaxQ();

    /**
     * Returns the URL where to find additional information about this river
     */
    String getInfoURL();
}


